---
title: "Add members"
url: "https://docs.signnow.com/docs/organization/operations/post-v2-organizations-org_id-members"
type: "endpoint"
section: "organization"
slug: "organization/operations/post-v2-organizations-org_id-members"
method: "POST"
path: "/v2/organizations/{org_id}/members"
operation_id: "post-v2-organizations-org_id-members"
authorization: "bearer"
---

# Add members

`POST /v2/organizations/{org_id}/members`

Adds members to the organization.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes | ID of the requested organization. |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "email"
  ],
  "properties": {
    "email": {
      "type": "string",
      "minLength": 1,
      "description": "Email of the user invited."
    }
  },
  "x-examples": {
    "example-1": {
      "email": "new_user@gmail.com"
    }
  },
  "description": ""
}
```

**Example** (`application/json`)

```json
{
  "email": "new_user@email.com"
}
```

## Responses

### 204

Returns 204: Success, no content in case of successful response. Returns an error when:

* If user who is not the admin or moderator tries to add member to org or admin or moderator with pending status tries to add a member to org, "code": 12003003. Message: "Access denied for current administration role in your organization."
* If user who does not have appropriate subscription tries to add a member to org, "code": 12003002. Message: "Access denied for current asubscription."
* If user tries to add member who already exists in org, "code": 12007005. Message: "Organization user already exists."
* If user tries to add member who is not registered in SignNow, "code": 12005001. Message: "User `user@email.com` is not found."
* If org is not active or does not exist at all, "code": 12003001. Message: "Organization `92XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX` is not found."
* Request without mandatory parameters, "code": 12007007. Message: "The `email` field is required."; 12004003 - "The `email` field is required.";
* Request with invalid value of email parameter, "code": 12007006. Message: "The `email` field must be a string."
* Request with invalid format of email parameter, "code": 12007008. Message: "The `email` is invalid."
* Trial admin/moderator tries to invite > 50 active+pending members, "code": 12007034. Message: "The number of active and pending organization members has been exceeded for the current subscription plan."

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/v2/organizations/{org_id}/members" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"email": "new_user@email.com"}'
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/post-v2-organizations-org_id-members*
